package main
import "time"
type ContractualDefinitionsEnum int
const (
   ISDA1991 ContractualDefinitionsEnum = 1 + iota
   ISDA_1993_COMMODITY
   ISDA_1996_EQUITY
   ISDA_1997_BULLION
   ISDA_1997_GOVERNMENT_BOND
   ISDA1998FX
   ISDA_1999_CREDIT
   ISDA2000
   ISDA_2002_EQUITY
   ISDA_2003_CREDIT
   ISDA_2004_NOVATION
   ISDA_2005_COMMODITY
   ISDA2006
   ISDA_2006_INFLATION
   ISDA_2008_INFLATION
   ISDA_2011_EQUITY
   ISDA_2014_CREDIT
)
type RoundingDirectionEnum int
const (
   UP RoundingDirectionEnum = 1 + iota
   DOWN
   NEAREST
)
type StepRelativeToEnum int
const (
   INITIAL StepRelativeToEnum = 1 + iota
   PREVIOUS
)
type TimeUnitEnum int
const (
   SECOND TimeUnitEnum = 1 + iota
   MINUTE
   HOUR
   DAY
   WEEK
   MONTH
   YEAR
)
type QuotationStyleEnum int
const (
   POINTS_UP_FRONT QuotationStyleEnum = 1 + iota
   TRADED_SPREAD
   PRICE
)
type SpreadScheduleTypeEnum int
const (
   LONG SpreadScheduleTypeEnum = 1 + iota
   SHORT
)
type CreditSeniorityTradingEnum int
const (
   SENIOR CreditSeniorityTradingEnum = 1 + iota
   SUBORDINATE
)
type QuoteBasisEnum int
const (
   CURRENCY_1_PER_CURRENCY_2 QuoteBasisEnum = 1 + iota
   CURRENCY_2_PER_CURRENCY_1
)
type PeriodExtendedEnum int
const (
   T PeriodExtendedEnum = 1 + iota
   D
   W
   M
   Y
)
type ActionEnum int
const (
   NEW ActionEnum = 1 + iota
   CORRECT
   CANCEL
)
type BrokerConfirmationTypeEnum int
const (
   ABX BrokerConfirmationTypeEnum = 1 + iota
   CD_SON_MBS
)
type QuotationRateTypeEnum int
const (
   BID QuotationRateTypeEnum = 1 + iota
   ASK
   MID
   EXERCISING_PARTY_PAYS
)
type TimeTypeEnum int
const (
   CLOSE TimeTypeEnum = 1 + iota
   OPEN
   OSP
   SPECIFIC_TIME
   XETRA
   DERIVATIVES_CLOSE
   AS_SPECIFIED_IN_MASTER_CONFIRMATION
)
type InformationProviderEnum int
const (
   BANK_OF_JAPAN InformationProviderEnum = 1 + iota
   BLOOMBERG
   ISDA
   REUTERS
   TELERATE
   OTHER
)
type RollConventionEnum int
const (
   EOM RollConventionEnum = 1 + iota
   FRN
   IMM
   IMMCAD
   IMMAUD
   IMMNZD
   SFE
   NONE
   TBILL
   _1
   _2
   _3
   _4
   _5
   _6
   _7
   _8
   _9
   _10
   _11
   _12
   _13
   _14
   _15
   _16
   _17
   _18
   _19
   _20
   _21
   _22
   _23
   _24
   _25
   _26
   _27
   _28
   _29
   _30
   MON
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type AssetClassEnum int
const (
   COMMODITY AssetClassEnum = 1 + iota
   CREDIT
   EQUITY
   FOREIGN_EXCHANGE
   INTEREST_RATE
)
type GoverningLawEnum int
const (
   AS_SPECIFIED_IN_MASTER_AGREEMENT GoverningLawEnum = 1 + iota
)
type CategoryEnum int
const (
   TBD CategoryEnum = 1 + iota
)
type OptionTypeEnum int
const (
   PUT OptionTypeEnum = 1 + iota
   CALL
   PAYER
   RECEIVER
   STRADDLE
)
type StandardSettlementStyleEnum int
const (
   STANDARD StandardSettlementStyleEnum = 1 + iota
   NET
   STANDARD_AND_NET
)
type PaymentTypeEnum int
const (
   NET_CASHFLOW PaymentTypeEnum = 1 + iota
   BROKERAGE_COMMISSION
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type AveragingMethodEnum int
const (
   UNWEIGHTED AveragingMethodEnum = 1 + iota
   WEIGHTED
)
type IntentEnum int
const (
   ALLOCATION IntentEnum = 1 + iota
   COMPRESSION
   CORRECTION
   EARLY_TERMINATION
   EXERCISE
   INCREASE
   NEW_TRADE
   NOVATION
   PARTIAL_NOVATION
   PARTIAL_TERMINATION
   PORTFOLIO_COMPRESSION
   RENEGOTIATION
   TERMINATION
)
type DayOfWeekEnum int
const (
   MON DayOfWeekEnum = 1 + iota
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type AccountTypeEnum int
const (
   AGGREGATE_CLIENT AccountTypeEnum = 1 + iota
   CLIENT
   HOUSE
)
type PaymentStatusEnum int
const (
   DISPUTED PaymentStatusEnum = 1 + iota
   INSTRUCTED
   PENDING
   SETTLED
)
type MasterConfirmationTypeEnum int
const (
   CREDIT_INDEX_2003 MasterConfirmationTypeEnum = 1 + iota
   DJ_CDX_NA
   DJ_I_TRAXX_EUROPE
   ISDA_1999_CREDIT
   ISDA_2003_CREDIT_JAPAN
   ISDA_2003_CREDIT_NORTH_AMERICAN
)
type MatrixTypeEnum int
const (
   CREDIT_DERIVATIVES_PHYSICAL_SETTLEMENT_MATRIX MatrixTypeEnum = 1 + iota
   EQUITY_DERIVATIVES_MATRIX
   SETTLEMENT_MATRIX
)
type InterestShortfallCapEnum int
const (
   FIXED InterestShortfallCapEnum = 1 + iota
   VARIABLE
)
type CreditSeniorityEnum int
const (
   OTHER CreditSeniorityEnum = 1 + iota
   SENIOR_SEC
   SENIOR_UN_SEC
   SUB_LOWER_TIER_2
   SUB_TIER_1
   SUB_TIER_3
   SUB_UPPER_TIER_2
)
type InterpolationMethodEnum int
const (
   LINEAR_ZERO_YIELD InterpolationMethodEnum = 1 + iota
   NONE
)
type LengthUnitEnum int
const (
   PAGES LengthUnitEnum = 1 + iota
   TIME_UNIT
)
type PayerReceiverEnum int
const (
   PAYER PayerReceiverEnum = 1 + iota
   RECEIVER
)
type MasterConfirmationAnnexTypeEnum int
const (
   ISDA_2004_INDEX_VARIANCE_SWAP_AMERICAS_INTERDEALER MasterConfirmationAnnexTypeEnum = 1 + iota
)
type CreditSupportAgreementTypeEnum int
const (
   ISDA_1994_CREDIT_SUPPORT_ANNEX_NEW_YORK_LAW CreditSupportAgreementTypeEnum = 1 + iota
   ISDA_1995_CREDIT_SUPPORT_ANNEX_ENGLISH_LAW
   ISDA_1995_CREDIT_SUPPORT_ANNEX_JAPANESE_LAW
   ISDA_1995_CREDIT_SUPPORT_DEED_ENGLISH_LAW
   ISDA_2001_MARGIN_PROVISIONS
   ISDA_2013_STANDARD_CREDIT_SUPPORT_AGREEMENT
   ISDA_2014_STANDARD_CREDIT_SUPPORT_AGREEMENT
)
type PartyRoleEnum int
const (
   BARRIER_DETERMINATION_AGENT PartyRoleEnum = 1 + iota
   BENEFICIARY
   BROKER
   DETERMINING_PARTY
   HEDGING_PARTY
)
type QuantityTypeEnum int
const (
   UNITS QuantityTypeEnum = 1 + iota
   CONTRACTS
   UNITS_OF_MEASURE_PER_TIME_UNIT
)
type EntityTypeEnum int
const (
   ASIAN EntityTypeEnum = 1 + iota
   AUSTRALIAN_AND_NEW_ZEALAND
   EUROPEAN_EMERGING_MARKETS
   JAPANESE
   NORTH_AMERICAN_HIGH_YIELD
   NORTH_AMERICAN_INSURANCE
   NORTH_AMERICAN_INVESTMENT_GRADE
   SINGAPOREAN
   WESTERN_EUROPEAN
   WESTERN_EUROPEAN_INSURANCE
)
type ResetRelativeToEnum int
const (
   CALCULATION_PERIOD_START_DATE ResetRelativeToEnum = 1 + iota
   CALCULATION_PERIOD_END_DATE
)
type FraDiscountingEnum int
const (
   ISDA FraDiscountingEnum = 1 + iota
   AFMA
   NONE
   ISDA_YIELD
)
type DayTypeEnum int
const (
   BUSINESS DayTypeEnum = 1 + iota
   CALENDAR
   COMMODITY_BUSINESS
   CURRENCY_BUSINESS
   EXCHANGE_BUSINESS
   SCHEDULED_TRADING_DAY
)
type QuotationSideEnum int
const (
   BID QuotationSideEnum = 1 + iota
   ASK
   MID
)
type ObligationCategoryEnum int
const (
   PAYMENT ObligationCategoryEnum = 1 + iota
   BORROWED_MONEY
   REFERENCE_OBLIGATIONS_ONLY
   BOND
   LOAN
   BOND_OR_LOAN
)
type StubPeriodTypeEnum int
const (
   SHORT_INITIAL StubPeriodTypeEnum = 1 + iota
   SHORT_FINAL
   LONG_INITIAL
   LONG_FINAL
)
type CalculationAgentPartyEnum int
const (
   EXERCISING_PARTY CalculationAgentPartyEnum = 1 + iota
   NON_EXERCISING_PARTY
   AS_SPECIFIED_IN_MASTER_AGREEMENT
   AS_SPECIFIED_IN_STANDARD_TERMS_SUPPLEMENT
   BOTH
)
type DiscountingTypeEnum int
const (
   STANDARD DiscountingTypeEnum = 1 + iota
   FRA
   FRA_YIELD
)
type TriggerTypeEnum int
const (
   EQUAL_OR_LESS TriggerTypeEnum = 1 + iota
   EQUAL_OR_GREATER
   EQUAL
   LESS
   GREATER
)
type ProductIdSourceEnum int
const (
   CUSIP ProductIdSourceEnum = 1 + iota
   SEDOL
   ISIN
   RIC
   FIGI
   WERTPAPIER
   SICOVAM
)
type ResourceTypeEnum int
const (
   CONFIRMATION ResourceTypeEnum = 1 + iota
   SUPPLEMENTAL_MATERIAL_ECONOMIC_TERMS
   TERM_SHEET
)
type CouponTypeEnum int
const (
   FIXED CouponTypeEnum = 1 + iota
   FLOAT
   STRUCTURED
)
type SettlementTypeEnum int
const (
   CASH SettlementTypeEnum = 1 + iota
   PHYSICAL
   ELECTION
   CASH_OR_PHYSICAL
)
type MortgageSectorEnum int
const (
   ABS MortgageSectorEnum = 1 + iota
   CDO
   CMBS
   RMBS
)
type PartyIdSourceEnum int
const (
   BIC PartyIdSourceEnum = 1 + iota
   LEI
   ARNU
   CCPT
   CUST
   DRLC
   EMPL
   NIDN
   SOSE
   TXID
)
type ContractualSupplementEnum int
const (
   ABX ContractualSupplementEnum = 1 + iota
   CD_SON_MBS
   ISDA_1999_CREDIT_CONVERTIBLE_EXCHANGEABLE_ACCRETING_OBLIGATIONS
   ISDA_1999_CREDIT_SUCCESSOR_AND_CREDIT_EVENTS
   ISDA_2003_CREDIT_MAY_2003
   I_TRAXX_EUROPE_DEALER
   STANDARD_LCDS
)
type TaxonomySourceEnum int
const (
   CFI TaxonomySourceEnum = 1 + iota
   ISDA
)
type PayRelativeToEnum int
const (
   CALCULATION_PERIOD_START_DATE PayRelativeToEnum = 1 + iota
   CALCULATION_PERIOD_END_DATE
   LAST_PRICING_DATE
   RESET_DATE
   VALUATION_DATE
)
type SettledEntityMatrixSourceEnum int
const (
   CONFIRMATION_ANNEX SettledEntityMatrixSourceEnum = 1 + iota
   NOT_APPLICABLE
   PUBLISHER
)
type CashflowTypeEnum int
const (
   BROKERAGE_COMMISSION CashflowTypeEnum = 1 + iota
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type BusinessCenterEnum int
const (
   AEAD BusinessCenterEnum = 1 + iota
   AEDU
   AMYE
   BEBR
   BRBD
   CATO
   CHZU
   CNBE
   DEFR
   EUTA
   GBLO
   INMU
   JPTO
   KRSE
   USNY
)
type PackageTypeEnum int
const (
   BUTTERFLY PackageTypeEnum = 1 + iota
   CALENDAR_ROLL
   CALENDAR_SPREAD
   CUSTOM
   INDEX_ROLL
   ONE_CANCELS_OTHERS
   SWAP_SPREAD
   SWITCH
)
type IndexAnnexSourceEnum int
const (
   MASTER_CONFIRMATION IndexAnnexSourceEnum = 1 + iota
   PUBLISHER
)
type TransferTypeEnum int
const (
   SECURITY_SETTLEMENT TransferTypeEnum = 1 + iota
   SECURITY_TRANSFER
   BROKERAGE_COMMISSION
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type MasterAgreementTypeEnum int
const (
   AFB MasterAgreementTypeEnum = 1 + iota
   ISDA
)
type MarketDisruptionEnum int
const (
   MODIFIED_POSTPONEMENT MarketDisruptionEnum = 1 + iota
   OMISSION
   POSTPONEMENT
)
type FloatingRateIndexEnum int
const (
   AED_EBOR_REUTERS FloatingRateIndexEnum = 1 + iota
   AUD_AONIA_OIS_COMPOUND
   AUD_AONIA_OIS_COMPOUND_SWAP_MARKER
   BRL_CDI
   CAD_BA_CDOR
   CNY_CNREPOFIX_CFXS_REUTERS
   EUR_EONIA_OIS_COMPOUND
   EUR_EURIBOR_REUTERS
   EUR_EURIBOR_TELERATE
   EUR_LIBOR_BBA
   GBP_LIBOR_BBA
   GBP_LIBOR_ISDA
   GBP_SONIA_COMPOUND
   INR_FBIL_MIBOR_OIS_COMPOUND
   KRW_CD_KSDA_BLOOMBERG
   UK_RPIX
   USA_CPI_U
   USD_FEDERAL_FUNDS_H_15_OIS_COMPOUND
   USD_LIBOR_BBA
)
type UnitEnum int
const (
   M_WH UnitEnum = 1 + iota
   MMBTU
   BBL
   GAL
   BSH
)
type DeterminationMethodEnum int
const (
   AGREED_INITIAL_PRICE DeterminationMethodEnum = 1 + iota
   AS_SPECIFIED_IN_MASTER_CONFIRMATION
   CALCULATION_AGENT
   CLOSING_PRICE
   DIVIDEND_CURRENCY
   EXPIRING_CONTRACT_LEVEL
   HEDGE_EXECUTION
   ISSUER_PAYMENT_CURRENCY
   NAV
   OPEN_PRICE
   OSP_PRICE
   SETTLEMENT_CURRENCY
   STRIKE_DATE_DETERMINATION
   TWAP_PRICE
   VALUATION_TIME
   VWAP_PRICE
)
type PeriodEnum int
const (
   D PeriodEnum = 1 + iota
   W
   M
   Y
)
type BusinessDayConventionEnum int
const (
   FOLLOWING BusinessDayConventionEnum = 1 + iota
   FRN
   MODFOLLOWING
   PRECEDING
   MODPRECEDING
   NEAREST
   NONE
   NOT_APPLICABLE
)
type PremiumTypeEnum int
const (
   PRE_PAID PremiumTypeEnum = 1 + iota
   POST_PAID
   VARIABLE
   FIXED
)
type TriggerTimeTypeEnum int
const (
   CLOSING TriggerTimeTypeEnum = 1 + iota
   ANYTIME
)
type WeeklyRollConventionEnum int
const (
   TBILL WeeklyRollConventionEnum = 1 + iota
   MON
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type RestructuringEnum int
const (
   MOD_MOD_R RestructuringEnum = 1 + iota
   MOD_R
   R
)
type StateEnum int
const (
   ALLOCATED StateEnum = 1 + iota
   EXERCISED
   NOVATED
   TERMINATED
)
type NegativeInterestRateTreatmentEnum int
const (
   NEGATIVE_INTEREST_RATE_METHOD NegativeInterestRateTreatmentEnum = 1 + iota
   ZERO_INTEREST_RATE_METHOD
)
type RateTreatmentEnum int
const (
   BOND_EQUIVALENT_YIELD RateTreatmentEnum = 1 + iota
   MONEY_MARKET_YIELD
)
type MatrixTermEnum int
const (
   IVS_1_OPEN_MARKETS MatrixTermEnum = 1 + iota
)
type AveragingInOutEnum int
const (
   IN AveragingInOutEnum = 1 + iota
   OUT
   BOTH
)
type SettlementRateOptionEnum int
const (
   ARS_BNAR_ARS01 SettlementRateOptionEnum = 1 + iota
   ARS_EMTA_INDICATIVE_SURVEY_RATE_ARS04
   BRL_PTAX_BRL09
   CNY_SAEC_CNY01
   KRW_KFTC18_KRW02
   INR_RBIB_INR01
)
type ValuationMethodEnum int
const (
   MARKET ValuationMethodEnum = 1 + iota
   HIGHEST
   AVERAGE_MARKET
   AVERAGE_HIGHEST
   BLENDED_MARKET
   BLENDED_HIGHEST
   AVERAGE_BLENDED_MARKET
   AVERAGE_BLENDED_HIGHEST
)
type CompoundingMethodEnum int
const (
   FLAT CompoundingMethodEnum = 1 + iota
   NONE
   STRAIGHT
   SPREAD_EXCLUSIVE
)
type DayCountFractionEnum int
const (
   _1_1 DayCountFractionEnum = 1 + iota
   _30_360
   _30E_360
   _30E_360_ISDA
   ACT_360
   ACT_365_FIXED
   ACT_365L
   ACT_ACT_AFB
   ACT_ACT_ICMA
   ACT_ACT_ISDA
   ACT_ACT_ISMA
   BUS_252
)
type NaturalPersonRoleEnum int
const (
   TRADER NaturalPersonRoleEnum = 1 + iota
)
type TransferStatusEnum int
const (
   DISPUTED TransferStatusEnum = 1 + iota
   INSTRUCTED
   PENDING
   SETTLED
)
type CommodityReferencePriceEnum int
const (
   ALUMINIUM_ALLOY_LME_15_MONTH CommodityReferencePriceEnum = 1 + iota
)
